PHP 5.4+ Automatic API Library
PHP
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
config
examples
src/Srtfisher/Automatic
test
.gitignore
.travis.yml
CONTRIBUTING.md
LICENSE
README.md
composer.json
phpunit.xml.dist

README.md

Automatic API Library

License Coverage Status Build Status Latest Stable Version

Automatic as described by their website:

Automatic, your smartphone enabled driving assistant, gives you driving feedback, helps to diagnose check engine codes & more. Become a smarter driver today.

This is an API Library for Automatic. You can signup for a developer application here. The Automatic API is read only for the time being and currently in alpha.

Requirements

PHP 5.4 or later.

Authentication

Automatic uses OAuth 2 for Authentication. This Library uses thephpleague/oauth2-client for OAuth 2.

Install

Via Composer

{
    "require": {
        "srtfisher/automatic": "0.1.*"
    }
}

Usage

See examples in the examples folder.

<?php
$client = new Srtfisher\Automatic\Client('client id', 'client secret', 'access token', $redirectUri);

$vehicles = $client->vehicles->all();
$vehicle = $client->vehicles->retrieve('vehicle id');
?>

Todo

  • Enable support for write access for when API supports it

Testing

$ phpunit

Contributing

Please see CONTRIBUTING for details.

License

The MIT License (MIT). Please see License File for more information.